Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.parameters.aPar
Interface AParPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  AParPackageImpl

    public interface AParPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `AParFactory`

Nested Class Summary
`static interface` | `AParPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static AParPackage` | `eINSTANCE` The singleton instance of the package.
`static java.lang.String` | `eNAME` The package name.
`static java.lang.String` | `eNS_PREFIX` The package namespace name.
`static java.lang.String` | `eNS_URI` The package namespace URI.
`static int` | `IMPORT` The meta object id for the '`Import`' class.
`static int` | `IMPORT__IMPORT_URI` The feature id for the 'Import URI' attribute.
`static int` | `IMPORT_FEATURE_COUNT` The number of structural features of the 'Import' class.
`static int` | `INCORPORATES` The meta object id for the '`Incorporates`' class.
`static int` | `INCORPORATES__IMPORT_URI` The feature id for the 'Import URI' attribute.
`static int` | `INCORPORATES_FEATURE_COUNT` The number of structural features of the 'Incorporates' class.
`static int` | `MODEL` The meta object id for the '`Model`' class.
`static int` | `MODEL__INCORPORATES` The feature id for the 'Incorporates' containment reference list.
`static int` | `MODEL__MODEL` The feature id for the 'Model' containment reference.
`static int` | `MODEL__NAME` The feature id for the 'Name' attribute.
`static int` | `MODEL__PARAMETERS` The feature id for the 'Parameters' containment reference list.
`static int` | `MODEL_FEATURE_COUNT` The number of structural features of the 'Model' class.
`static int` | `PARAMETER` The meta object id for the '`Parameter`' class.
`static int` | `PARAMETER__ATTRIBUTE` The feature id for the 'Attribute' reference.
`static int` | `PARAMETER__VALUE` The feature id for the 'Value' containment reference.
`static int` | `PARAMETER_FEATURE_COUNT` The number of structural features of the 'Parameter' class.

Method Summary
`AParFactory` | `getAParFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EAttribute` | `getImport_ImportURI()` Returns the meta object for the attribute '`Import URI`'.
`org.eclipse.emf.ecore.EClass` | `getImport()` Returns the meta object for class '`Import`'.
`org.eclipse.emf.ecore.EAttribute` | `getIncorporates_ImportURI()` Returns the meta object for the attribute '`Import URI`'.
`org.eclipse.emf.ecore.EClass` | `getIncorporates()` Returns the meta object for class '`Incorporates`'.
`org.eclipse.emf.ecore.EReference` | `getModel_Incorporates()` Returns the meta object for the containment reference list '`Incorporates`'.
`org.eclipse.emf.ecore.EReference` | `getModel_Model()` Returns the meta object for the containment reference '`Model`'.
`org.eclipse.emf.ecore.EAttribute` | `getModel_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference` | `getModel_Parameters()` Returns the meta object for the containment reference list '`Parameters`'.
`org.eclipse.emf.ecore.EClass` | `getModel()` Returns the meta object for class '`Model`'.
`org.eclipse.emf.ecore.EReference` | `getParameter_Attribute()` Returns the meta object for the reference '`Attribute`'.
`org.eclipse.emf.ecore.EReference` | `getParameter_Value()` Returns the meta object for the containment reference '`Value`'.
`org.eclipse.emf.ecore.EClass` | `getParameter()` Returns the meta object for class '`Parameter`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final AParPackage eINSTANCE

  The singleton instance of the package.

### MODEL

    static final int MODEL

  The meta object id for the '`Model`' class.

  See Also:
    `ModelImpl`, `AParPackageImpl.getModel()`, Constant Field Values

### MODEL__NAME

    static final int MODEL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### MODEL__MODEL

    static final int MODEL__MODEL

  The feature id for the 'Model' containment reference.

  See Also:
    Constant Field Values

### MODEL__INCORPORATES

    static final int MODEL__INCORPORATES

  The feature id for the 'Incorporates' containment reference list.

  See Also:
    Constant Field Values

### MODEL__PARAMETERS

    static final int MODEL__PARAMETERS

  The feature id for the 'Parameters' containment reference list.

  See Also:
    Constant Field Values

### MODEL_FEATURE_COUNT

    static final int MODEL_FEATURE_COUNT

  The number of structural features of the 'Model' class.

  See Also:
    Constant Field Values

### IMPORT

    static final int IMPORT

  The meta object id for the '`Import`' class.

  See Also:
    `ImportImpl`, `AParPackageImpl.getImport()`, Constant Field Values

### IMPORT__IMPORT_URI

    static final int IMPORT__IMPORT_URI

  The feature id for the 'Import URI' attribute.

  See Also:
    Constant Field Values

### IMPORT_FEATURE_COUNT

    static final int IMPORT_FEATURE_COUNT

  The number of structural features of the 'Import' class.

  See Also:
    Constant Field Values

### INCORPORATES

    static final int INCORPORATES

  The meta object id for the '`Incorporates`' class.

  See Also:
    `IncorporatesImpl`, `AParPackageImpl.getIncorporates()`, Constant Field Values

### INCORPORATES__IMPORT_URI

    static final int INCORPORATES__IMPORT_URI

  The feature id for the 'Import URI' attribute.

  See Also:
    Constant Field Values

### INCORPORATES_FEATURE_COUNT

    static final int INCORPORATES_FEATURE_COUNT

  The number of structural features of the 'Incorporates' class.

  See Also:
    Constant Field Values

### PARAMETER

    static final int PARAMETER

  The meta object id for the '`Parameter`' class.

  See Also:
    `ParameterImpl`, `AParPackageImpl.getParameter()`, Constant Field Values

### PARAMETER__ATTRIBUTE

    static final int PARAMETER__ATTRIBUTE

  The feature id for the 'Attribute' reference.

  See Also:
    Constant Field Values

### PARAMETER__VALUE

    static final int PARAMETER__VALUE

  The feature id for the 'Value' containment reference.

  See Also:
    Constant Field Values

### PARAMETER_FEATURE_COUNT

    static final int PARAMETER_FEATURE_COUNT

  The number of structural features of the 'Parameter' class.

  See Also:
    Constant Field Values

Method Detail

### getModel

    org.eclipse.emf.ecore.EClass getModel()

  Returns the meta object for class '`Model`'.

  Returns:
    the meta object for class 'Model'.
  See Also:
    `Model`

### getModel_Name

    org.eclipse.emf.ecore.EAttribute getModel_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Model.getName()`, `getModel()`

### getModel_Model

    org.eclipse.emf.ecore.EReference getModel_Model()

  Returns the meta object for the containment reference '`Model`'.

  Returns:
    the meta object for the containment reference 'Model'.
  See Also:
    `Model.getModel()`, `getModel()`

### getModel_Incorporates

    org.eclipse.emf.ecore.EReference getModel_Incorporates()

  Returns the meta object for the containment reference list '`Incorporates`'.

  Returns:
    the meta object for the containment reference list 'Incorporates'.
  See Also:
    `Model.getIncorporates()`, `getModel()`

### getModel_Parameters

    org.eclipse.emf.ecore.EReference getModel_Parameters()

  Returns the meta object for the containment reference list '`Parameters`'.

  Returns:
    the meta object for the containment reference list 'Parameters'.
  See Also:
    `Model.getParameters()`, `getModel()`

### getImport

    org.eclipse.emf.ecore.EClass getImport()

  Returns the meta object for class '`Import`'.

  Returns:
    the meta object for class 'Import'.
  See Also:
    `Import`

### getImport_ImportURI

    org.eclipse.emf.ecore.EAttribute getImport_ImportURI()

  Returns the meta object for the attribute '`Import URI`'.

  Returns:
    the meta object for the attribute 'Import URI'.
  See Also:
    `Import.getImportURI()`, `getImport()`

### getIncorporates

    org.eclipse.emf.ecore.EClass getIncorporates()

  Returns the meta object for class '`Incorporates`'.

  Returns:
    the meta object for class 'Incorporates'.
  See Also:
    `Incorporates`

### getIncorporates_ImportURI

    org.eclipse.emf.ecore.EAttribute getIncorporates_ImportURI()

  Returns the meta object for the attribute '`Import URI`'.

  Returns:
    the meta object for the attribute 'Import URI'.
  See Also:
    `Incorporates.getImportURI()`, `getIncorporates()`

### getParameter

    org.eclipse.emf.ecore.EClass getParameter()

  Returns the meta object for class '`Parameter`'.

  Returns:
    the meta object for class 'Parameter'.
  See Also:
    `Parameter`

### getParameter_Attribute

    org.eclipse.emf.ecore.EReference getParameter_Attribute()

  Returns the meta object for the reference '`Attribute`'.

  Returns:
    the meta object for the reference 'Attribute'.
  See Also:
    `Parameter.getAttribute()`, `getParameter()`

### getParameter_Value

    org.eclipse.emf.ecore.EReference getParameter_Value()

  Returns the meta object for the containment reference '`Value`'.

  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `Parameter.getValue()`, `getParameter()`

### getAParFactory

    AParFactory getAParFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD